/***********************************************************************/
/*                                                                     */
/* RIGI Utilities --- Copyright (C) 1996-1999                          */
/*                    The Rigi Group, University of Victoria           */
/*                                                                     */
/* see the file license.terms for usage and copying policies           */
/*                                                                     */
/* Author: Jim McDaniel                                                */
/*                                                                     */
/***********************************************************************/
#ifndef __HTMLTMPL_H__
#define __HTMLTMPL_H__

#define MAXRECSIZE	2048

int HtLoadTemplate(const char *tFile);
void HtInsertAnchor(char *srcLine, const UniqueString& anchor,
		    const char *file, const int line);
void HtInsertBookmark(char *srcLine, const int bookmarkLine);
char *HtFmtLine(char *printLine, const int tabSize, const int isPre);
char *HtGetFileHdr(char *printLine, const char *prevFile, const int isPre);
char *HtGetFileFtr(char *printLine, const char *nextFile, const int isPre);

#endif
